#!/bin/sh
# Prefix of archive
PREFIX="install"

sh ./clear-cache.sh

echo -n "$0: Packaging... "
zip -9 $PREFIX.zip docs/* Doxyfile *.php *.sh > /dev/null 2>&1
echo -n "."
zip -9r $PREFIX.zip application/ db/ devel/ Doxyfile inc/ templates/ tests/ > /dev/null 2>&1
echo -n "."
zip -d $PREFIX.zip docs/warn.log db/*/*.serialized > /dev/null 2>&1
echo ". done"

echo "$0: Renaming..."
eval "mv $PREFIX.zip $PREFIX-`date +%Y%m%d_%H%M%S`.zip"

echo "$0: All done."
